---
id: 662bdd364bf2cde1487922a9
title: Step 5
challengeType: 20
dashedName: step-5
---

# --description--

Unlike other programming languages, Python does not implement interfaces in its core language, but the Python standard library allows you to define interfaces in a simple way.

For this project, you'll use utilities from the `abc` module. Therefore, import this module in your code.

# --hints--

You should import the `abc` module.

```js
({ test: () => assert(runPython(`_Node(_code).has_import("import abc")`)) })
```

# --seed--

## --seed-contents--

```py
--fcc-editable-region--

--fcc-editable-region--
class Equation:
    def solve(self):
        pass
        
    def analyze(self):
        pass
        

class LinearEquation(Equation):
    pass
    

eq = Equation()
lin_eq = LinearEquation()
```
